<?php
/**
 * @package com_tinydoc for Joomla! 3.x
 * @version $Id: admin.tinydoc.php 2014-09-16 $
 * @author Andreas Thul
 * @copyright (c) 2009-2014 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// 2014-09-16: changed DS to DIRECTORY_SEPARATOR

defined('_JEXEC') or die('Restricted access');

JTable::addIncludePath(JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'tables');

require_once(JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'helper.php');
require_once(JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'controller.php');
require_once(JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'tinydoc.html.php');

$controller = new TinyDocController();

$controller->registerDefaultTask('listDocuments');

$task = JRequest::getCmd('task');

$controller->execute($task);
$controller->redirect();

?>
