<?php
/**
 * @package com_tinydoc for Joomla! 1.6+
 * @version $Id: router.php 2012-06-20 $
 * @author Andreas Thul
 * @copyright (c) 2009-2012 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

function TinyDocBuildRoute(&$query) {

	$segments = array();

	// in case of trouble see: http://docs.joomla.org/Adapting_a_Joomla_1.5_extension_to_Joomla_1.6
	// We need a menu item. Either the one specified in the query or the current active one if none specified
	// NOT IMPLEMENTED YET!

	if (isset($query['view'])) {
		$segments[] = $query['view'];
		unset($query['view']);
	}

	if(isset($query['document'])) {
		$segments[] = $query['document'];
		unset($query['document']);
	}

	return $segments;
}

function TinyDocParseRoute($segments) {

	$vars = array();

	$vars['view'] = $segments[0];

	if (count($segments) > 1) {
		$vars['document'] = $segments[1];
	}

	return $vars;
}

?>
