<?php
/**
 * @package com_tinydoc for Joomla! 2.5
 * @version $Id: folder.php 2013-06-03 $
 * @author Andreas Thul
 * @copyright (c) 2012 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');

class JFormFieldDocument extends JFormField {

	protected $type = 'Document';

	// getLabel() left out

	// 2013-06-03: Only variables should be assigned by reference
	// 2013-06-03: Creating default object from empty value
	public function getInput() {

 		$db = JFactory::getDBO();

		$documentlist = array();

		$documentlist[0] = new stdClass();
		$documentlist[0]->id = '';
 		$documentlist[0]->name = JText::_('COM_TINYDOC_SELECT_DOCUMENT');

 		$query = 'SELECT * FROM #__tinydoc_document ORDER BY name ASC';
 		$db->setQuery($query);
 		$documents = $db->loadObjectList();

		$count = 1;
 		foreach ($documents as $document) {
 			$documentlist[$count] = new stdClass();
 			$documentlist[$count]->id = $document->id;
 			$documentlist[$count]->name = $document->name . ' (' . $document->id . ')';
 			$count++;
 		}

        return JHTML::_('select.genericlist', $documentlist, $this->name, '', 'id', 'name', $this->value );;
	}
}